#!/usr/bin/octave -qf

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.

function make_cooling_sill()
     filename = 'xy/cooling-sill1.xy';
     out = fopen(filename, 'wt');
     fprintf(out, "#( zHat:0  THat:1 )#\n");
     fprintf(out, "#( [-]:0   [-]:1 )#\n");

     b = 1;
     t = 0.0001;
     dt = 0.25;
     tMax = 15;

     while (t < tMax)
          fprintf(out, "\n");
          fprintf(out, "#( time=%g )#\n", t);
          z = -9.9;
          dz = 0.05;
          while (z < 9.9)
               eta1 = (z + 1) / (2 * sqrt(t));
               eta2 = (z - 1) / (2 * sqrt(t));
               T = (1 / 2) * (erf(eta1) - erf(eta2));
               fprintf(out, "%g %g\n", z, T);
               z = z + dz;
          end

          dt = 2 * dt;
          t = dt;
     end

     fclose(out);
     printf("(dimensionless temperature for cooling sill is written to: %s)\n", filename);
endfunction

make_cooling_sill();
