#!/usr/bin/octave -qf

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.

function make_cooling_sill()
     filename = 'xy/cooling-sill2.xy';
     out = fopen(filename, 'wt');
     fprintf(out, "#( z:0  T:1 )#\n");

     dT = 1000;
     kappa = 1.0e-6;
     secInDay = 60 * 60 * 24;
     b = 10;
     t = 1;
     dt = 500 * secInDay;
     tMax = 5000 * secInDay;
     isFirstTime = 1;
          
     while (t < tMax)
          tDays = t / secInDay;
          fprintf(out, "\n");
          fprintf(out, "#( time=%g [years] )#\n", tDays);

          z = -49.9;
          dz = 0.25;
          while (z < 49.9)
               eta1 = (z + b) / (2 * sqrt(kappa * t));
               eta2 = (z - b) / (2 * sqrt(kappa * t));
               T = (dT / 2) * (erf(eta1) - erf(eta2));
               fprintf(out, "%g %g\n", z, T);
               z = z + dz;
          end

          t = dt;
          dt = 2 * dt;
     end

     fclose(out);
     printf("(data for a cooling sill is written to: %s)\n", filename);
endfunction

make_cooling_sill();
