#!/usr/bin/octave -qf

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.

function make_depos_temp_trans()
     filename =  'xy/depos-temp-trans.xy';
     out = fopen(filename, 'wt');
     fprintf(out, "#( z:0  T:1 )#\n");

     T0 = 0;
     Ts = 10;
     dT = 10.0;
     kappa = 1.0e-6;
     secInYear = 24 * 60 * 60 * 365;
     sMax = 4000;
     h = 1000 * 1;
     dTdz = 40e-3;
     dT = dTdz * h;

     tYears = 1;

     while (tYears < 1.1e+7)
          t = tYears * secInYear;

          fprintf(out, "\n");
          fprintf(out, "#( t=%g [years] )#\n", tYears);
          fprintf(stdout, "(time=%g years)\n", tYears);

          z = sMax;
          dz = sMax / 100.001;

          while (z > 0)
               eta = z / (2 * sqrt(kappa * t));
               tempTrans = dT * erfc(eta);
               tempStat = dTdz * (z - h);
               temp = tempStat + tempTrans;

               fprintf(out, "%g %g\n", -z, temp);
               z = z - dz;
          end

          tYears = 10 * tYears;
     end

     fclose(out);
     printf("(temperature for instantaneous blanketing is written to: %s)\n", filename);
endfunction

make_depos_temp_trans();
