#!/usr/bin/octave -qf

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.

function make_geotherms0()
     zsurf = 1;             #( [m] )#
     z = -20000;            #( [m] )#
     z0 = -5000;           #( [m] )#
     qm = 0.02;             #( [W/m2] )#
     S0 = 2.5e-6;           #( [W/m3] )#
     lambda = 2.5;          #( [W/Km] )#
     dT = (S0 * z0 * z0) / lambda;  #( [C] )#

     filename = 'xy/geotherms0.xy';
     out = fopen(filename, 'wt');
     fprintf(out, "#( z0 = %g [m] )#\n",  z0);
     fprintf(out, "#( lambda = %g [W/K/m] )#\n",  lambda);
     fprintf(out, "#( S0 = %g [W/m3] )#\n",  S0);
     fprintf(out, "#( qm = %g [W/m2] )#\n",  qm);
     fprintf(out, "#( dT = %g [C] )#\n",  dT);
     fprintf(out, "#( z:0    temp:1  tempLinear:2 )#\n");
     fprintf(out, "#( [m]:0  [C]:1   [C]:2        )#\n");

     while (z < zsurf)
          temp1 = - (qm / lambda) * z;
          temp2 = dT * (1 - exp(- z/z0));
          temp = temp1 + temp2;
          fprintf(out, "%g %g %g\n", z/1000, temp, temp1);
          z = z + 500;
     end

     fclose(out);
     printf("(geotherms are written to: %s)\n", filename);
endfunction

make_geotherms0();
