#!/usr/bin/octave -qf

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.

function Tout = get_temp_for_params_a_and_b(aa, bb, zm, z)
     lambda_c = 2.5;
     qm = 0.025;
     T0 = 0;

     part1 = T0 + (qm * z / lambda_c);
     part2 = (1/2) * aa * zm * zm * z;
     part3 = bb * zm * z;
     part4 = (1/6) * aa * z * z * z;
     part5 = (1/2) * bb * z * z;
     Tout = part1 + (part2 + part3 - part4 - part5) / lambda_c;
endfunction

function make_geotherms123()
     S0 = 1e-6;
     zm = 25e+3;

     a1 = 2 * S0 / zm;      b1 = 0;
     a2 = 0;                b2 = S0;
     a3 = -a1;              b3 = 2 * S0;

     filename = 'xy/geotherms123.xy';
     out = fopen(filename, 'wt');
     fprintf(out, "#( z:0  T1:1  T1:2  T3:3 )#\n");

     z = 0;

     while (z < zm)
          T1 = get_temp_for_params_a_and_b(a1, b1, zm, z);
          T2 = get_temp_for_params_a_and_b(a2, b2, zm, z);
          T3 = get_temp_for_params_a_and_b(a3, b3, zm, z);
          zneg = - z;
          fprintf(out, "%g %g %g %g\n", zneg/1000, T1, T2, T3);
          z = z + 250;
     end

     fclose(out);
     printf("(different geotherms are written to: %s)\n", filename);
endfunction

make_geotherms123();
