#!/usr/bin/octave -qf

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.

function make_point_load_flexure()
     filename = 'xy/point-load-flexure.xy';
     out = fopen(filename, 'wt');
     fprintf(out, "#( xHat:0 wHat:1 )#\n");

     x = -5;
     while (x < 5)
          if (x < 0)
               xp = -x;
          else 
               xp = x; 
          end

          w = - exp(-xp) * (cos(xp) + sin(xp));
          fprintf(out, "%g %g\n", x, w);
          x = x + 0.1;
     end

     fclose(out);
     printf("(data for the flexure from a point load is written to: %s)\n", filename);
endfunction

function make_point_load_flexure_broken()
     filename = 'xy/point-load-flexure-broken.xy';
     out = fopen(filename, 'wt');
     fprintf(out, "#( xHat:0 wHat:1 )#\n");

     x = -5;
     while (x < 5)
          if (x < 0)
               xp = -x;
          else
               xp = x;
          end

          w = - exp(-xp) * cos(xp);
          fprintf(out, "%g %g\n", x, w);
          x = x + 0.1;
     end

     fclose(out);
     printf("(data for the flexure from a point load is written to: %s)\n", filename);
endfunction

make_point_load_flexure();
make_point_load_flexure_broken();
