#!/usr/bin/octave -qf

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.

function make_sill_max_temp_and_max_time_approx()
     filename = 'xy/sill-max-temp-max-time.xy';
     out = fopen(filename, 'wt');
     fprintf(out, "#( x:0  tMax:1  TMax:2  tMaxApprox:3  TMaxApprox:4 )#\n");

     fac = sqrt(2 / (e * pi));
     x = 2.001;
     dx = 1.0;

     while (x < 100.0)
          tMax = x / (log((x+1) / (x-1)));
          eta1 = (x + 1) / (2 * sqrt(tMax));
          eta2 = (x - 1) / (2 * sqrt(tMax));
          TMax = (1.0 / 2) * (erf(eta1) - erf(eta2));
          tMaxApprox = x * x / 2;
          TMaxApprox = fac / x;
          fprintf(out, "%g %g %g %g %g\n", x, tMax, TMax, tMaxApprox, TMaxApprox);
          x = x + dx;
          dx = 1.1 * dx;
     end

     fclose(out);
     printf("(tMax, TMax and approximations are written to: %s)\n", filename);
endfunction

make_sill_max_temp_and_max_time_approx();

