#!/usr/bin/octave -qf

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.

function make_supersat_data()
     filename = 'xy/supersat-data.xy';
     out = fopen(filename, 'wt');
     PrintSuperSat(out, 0.01);
     PrintSuperSat(out, 0.1);
     PrintSuperSat(out, 1);
     PrintSuperSat(out, 10);
     PrintSuperSat(out, 100);
     fclose(out);
     printf("(degree of supersaturation is written to: %s)\n", filename);
endfunction

function PrintSuperSat(out, Da)
     sqrtDa = sqrt(Da);

     fprintf(out, "\n");
     fprintf(out, "#( Da = %g [-] )#\n", Da);

     z = 0;
     while (z < 1)
          c = cosh(sqrtDa * (z - 0.5)) / cosh(sqrtDa / 2);
          fprintf(out, "%g %g\n", z, c);
          z = z + 0.019999;
     end
endfunction

make_supersat_data();

