#!/usr/bin/octave -qf

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.

function MakeTempPeriodicHeatingOfSurface(filename, t, tMax)
     out = fopen(filename, 'wt');
     fprintf(out, "#( z:0    temp:1 )#\n");
     fprintf(out, "#( [-]:0  [-]:1  )#\n");

     dt = pi / 4;
     while (t < tMax + 0.0001)
          fprintf(out, "\n");
          fprintf(out, "#( time=%g )#", t);
          z = -10.0;
          dz = 0.02;
          while (z < 0)
               f0 = z / sqrt(2);
               f1 = exp(f0);
               f2 = cos(t - f0);
               temp = f1 * f2;
               fprintf(out, "%g %g\n", z, temp);
               z = z + dz;
          end
          t = t + dt;
     end

     fclose(out);
     printf("(temperatures for periodic heating of the surface is written to: %s)\n", filename);
endfunction

MakeTempPeriodicHeatingOfSurface('xy/temp-periodic1.xy',  0,   pi);
MakeTempPeriodicHeatingOfSurface('xy/temp-periodic2.xy', pi, 2*pi);
