set terminal postscript eps enhanced color 20 solid 
set pointsize 1.5
set size 1,1
set xlabel "temperature [C]"
set ylabel "depth [m]"

set output 'figs/fig-McKenzie-Bickle-melt-data.eps'
set title "Melt fractions"
plot \
"xy/McKenzie-Bickle-melt-data.xy" using  4:14 title 'X=0.1' with lines lw 6, \
"xy/McKenzie-Bickle-melt-data.xy" using  5:14 title 'X=0.2' with lines lw 6, \
"xy/McKenzie-Bickle-melt-data.xy" using  6:14 title 'X=0.3' with lines lw 6, \
"xy/McKenzie-Bickle-melt-data.xy" using  7:14 title 'X=0.4' with lines lw 6, \
"xy/McKenzie-Bickle-melt-data.xy" using  8:14 title 'X=0.5' with lines lw 6, \
"xy/McKenzie-Bickle-melt-data.xy" using  9:14 title 'X=0.6' with lines lw 6, \
"xy/McKenzie-Bickle-melt-data.xy" using 10:14 title 'X=0.7' with lines lw 6, \
"xy/McKenzie-Bickle-melt-data.xy" using 11:14 title 'X=0.8' with lines lw 6, \
"xy/McKenzie-Bickle-melt-data.xy" using 12:14 title 'X=0.9' with lines lw 6, \
"xy/McKenzie-Bickle-melt-data.xy" using  2:14 title 'X=0 (solidus)' with lines lw 6, \
"xy/McKenzie-Bickle-melt-data.xy" using  3:14 title 'X=1 (liquidus)' with lines lw 6

set xlabel "(dimensionless) temperature [-]"
set ylabel "melt fraction [-]"

set output 'figs/fig-McKenzie-Bickle-melt-data-II.eps'
set title "Melt fractions"
plot \
"xy/McKenzie-Bickle-melt-data-II.xy" using  1:2 title 'melt fraction' with lines lw 6


