set terminal postscript eps enhanced color 20 solid 
set pointsize 1.5
set size 1,1
set xlabel "temperature [C]"
set ylabel "depth [km]"

set yrange [-200:0]
set title "Adiabats for surface temperature = 1150, 1200, 1250, 1300 [C]"
set output 'figs/fig-adiabat-melt.eps'
plot \
"xy/adiabat-melt.xy" using 7:2 title 'adiabat' with lines lw 5, \
"xy/adiabat-melt.xy" using 3:2 title 'solidus' with lines lw 5, \
"xy/adiabat-melt.xy" using 8:2 title 'X=0.25' with lines lw 5, \
"xy/adiabat-melt.xy" using 9:2 title 'X=0.50' with lines lw 5, \
"xy/adiabat-melt.xy" using 10:2 title 'X=0.75' with lines lw 5, \
"xy/adiabat-melt.xy" using 4:2 title 'liquidus' with lines lw 5

