set terminal postscript eps enhanced color 20 solid 
set pointsize 1.5
set size 1,1
set xlabel "x-coordinate [m]"
set ylabel "y-coordinate [m]"
set isosamples 50
set cntrparam levels 20
set view map
unset surface
set hidden3d
set key outside
set contour base

set title "Streamlines for two wells"
set output 'figs/fig-double-well-streamlines.eps'
splot \
"xy/double-well-streamlines.xy" title 'streamlines' with lines lw 5

set title "Pressure for two wells"
set output 'figs/fig-double-well-pressure.eps'
splot \
"xy/double-well-pressure.xy" title 'pressure' with lines lw 5

