set terminal postscript eps enhanced color 20 solid 
set pointsize 1.5
set size 1,1
set xlabel "x-coordinate [m]"
set ylabel "y-coordinate [m]"
set isosamples 50
set cntrparam levels 20
set view map
unset surface
set hidden3d
set key outside
set contour base

set title "Toth streamlines [m2/years]"
set output 'figs/fig-streamlines-Toth.eps'
splot \
"xy/streamlines-Toth.xy" title 'streamlines [m2/years]' with lines lw 5

set title "Toth potential [Pa]"
set output 'figs/fig-potential-Toth.eps'
splot \
"xy/potential-Toth.xy" title 'potential [Pa]' with lines lw 5
