set terminal postscript eps enhanced color 20 solid 
set output 'figs/fig-heat-gen.eps'
set pointsize 1.5
set size 1,1
set xlabel "time [Ga]"
set ylabel "heat generation [W/m3]"
set title "Heat generation through time"
# time, Qtotal, QU235, QU238, QTh232, QK40
plot \
"xy/heat-gen.xy" using 1:2 title 'total' with lines lw 5, \
"xy/heat-gen.xy" using 1:3 title 'U235' with lines lw 5, \
"xy/heat-gen.xy" using 1:4 title 'U238' with lines lw 5, \
"xy/heat-gen.xy" using 1:5 title 'Th232' with lines lw 5, \
"xy/heat-gen.xy" using 1:6 title 'K40' with lines lw 5

