set terminal postscript eps enhanced color 20 solid 
set pointsize 1.5
set size 1,1

set output 'figs/fig-linear-melt-geotherms.eps'
set xlabel "temperature [C]"
set ylabel "depth [m]"
set title "Geotherms for beta = 1, 2, 3, 4, 5 [-]"
plot \
"xy/linear-melt-data.xy" using 2:1 title 'geotherm' with lines lw 6, \
"xy/linear-melt-data.xy" using 4:1 title 'solidus' with lines lw 6, \
"xy/linear-melt-data.xy" using 5:1 title 'liquidus' with lines lw 6

set output 'figs/fig-linear-melt-fraction.eps'
set xlabel "melt fraction"
set ylabel "depth [m]"
set title "melt fraction for beta = 1, 2, 3, 4, 5 [-]"
plot \
"xy/linear-melt-data.xy" using 3:1 title 'melt fraction' with lines lw 6

