set terminal postscript eps enhanced color 20 solid 
set pointsize 1.5
set size 1,1
set xlabel "temperature [C]"
set ylabel "depth [m]"
set title "Thermal blanketing: Pe=0.1, 1, 10"
set output 'figs/fig-sed-temp1.eps'
plot \
"xy/sed-temp-fourier1.xy" using 4:3 title 'fourier solution' with lines lw 5, \
"xy/sed-temp-inf-depth1.xy" using 2:1 title 'inf-depth solution' with points lw 5

set title "Thermal blanketing: Pe=10, 100, 1000"
set output 'figs/fig-sed-temp2.eps'
plot \
"xy/sed-temp-fourier2.xy" using 4:3 title 'fourier solution' with lines lw 5, \
"xy/sed-temp-inf-depth2.xy" using 2:1 title 'inf-depth solution' with points lw 5
